您尚未登录。

#1 2017-11-25 10:45:45

jiewuza
会员
注册时间: 2017-11-25
帖子: 5

升级wpa_supplicant之后,wifi-menu无法使用

这个问题已经困扰我很久了,本来期望后续升级会解决,但是从2.3之后到2.6都没有解决
下面我具体描述一下过程:
升级到2.6-11后,会提示
:: The /etc/wpa_supplicant/wpa_supplicant.conf is file no longer managed by pacman
   and if it was modified, it has been renamed to wpa_supplicant.conf.pacsave.
   Move it to the original location if needed.

不过我看了/etc/wap_supplicant/下是空的,所以没做什么操作

然后重启后,使用sudo wifi-menu,就不会跳出选择无线信号的dilogue,而是一闪然后命令行上就显示abort字样
采用sudo wifi-menu 2>error.txt,可以看到error.txt中有:

/usr/bin/wifi-menu: line 67: Successfully initialized wpa_supplicant
/tmp/essid.LD9VK4WQ: No such file or directory

Error: Expected at least 5 tokens for --menu, have 4.
Use --help to list options.


<3>Aborted

我看了一下,/tmp/essid.LD9VK4WQ 这个文件是存在的(权限  -rw-------  1 root root)
后面tokens个数的error不是很清楚

只好来问一下大家,看看是不是能帮我解决这个问题

我现在只能回退到2.3版本,这时wifi-menu是正常工作的

离线

#2 2017-11-25 12:35:37

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 240

Re: 升级wpa_supplicant之后,wifi-menu无法使用

神奇的问题……确定是 /usr/bin/wifi-menu 的 line 67? 这行应该不会有提示的……
netctl 的版本是多少?
/etc/wpa_supplicant.conf 是否存在?
看了下脚本挺麻烦的,游泳回来再研究。

离线

#3 2017-11-25 16:09:05

jiewuza
会员
注册时间: 2017-11-25
帖子: 5

Re: 升级wpa_supplicant之后,wifi-menu无法使用

我是直接把重定向文件里的内容copy过来的,它里面就是这些内容
netctl版本:netctl version 1.9
刚升级完,/etc/wpa_supplicant目录是空的
我现在又退回到老版本,然后使用过wifi-menu,现在这个目录下有wpa_supplicant.conf文件(注释掉的内容我就不copy过来了)
ctrl_interface=/var/run/wpa_supplicant
eapol_version=1
ap_scan=1
fast_reauth=1
#后面就是一系列example blocks
network={
        ssid="simple"
        psk="very secret passphrase"
        priority=5
}
。。。

你说的/etc/wpa_supplicant.conf这个文件一直都没有的

最近编辑记录 jiewuza (2017-11-25 16:11:40)

离线

#4 2017-11-26 19:46:11

jiewuza
会员
注册时间: 2017-11-25
帖子: 5

Re: 升级wpa_supplicant之后,wifi-menu无法使用

zsrkmyn 说:

神奇的问题……确定是 /usr/bin/wifi-menu 的 line 67? 这行应该不会有提示的……
netctl 的版本是多少?
/etc/wpa_supplicant.conf 是否存在?
看了下脚本挺麻烦的,游泳回来再研究。

我看了一下确实很神奇,这个文件中67行是大括号
# Builds ENTRIES as an argument list for dialog based on scan results in $1.
init_entries()
{
    local i=0 flags signal ssid

实在有点搞不懂

然后没有相关conf配置文件存在
我还在怀疑,是不是有什么依赖我没装(比如我没装wpa_actiond,之前尝试过似乎也没用)

离线

#5 2017-11-26 19:56:33

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 240

Re: 升级wpa_supplicant之后,wifi-menu无法使用

为什么我的 netctl 版本是 1.14?你用什么发行版?

离线

#6 2017-11-26 21:00:31

jiewuza
会员
注册时间: 2017-11-25
帖子: 5

Re: 升级wpa_supplicant之后,wifi-menu无法使用

我就是archlinux
我想起来了,当初有一次用命令行不小心把/var/lib/pacman/local/给清空了
整个安装的包之间依赖关系给丢了
特别是core中的包(netctl也属于core)
这就是为什么我这边netctl这么老

我刚刚更新完毕,然后问题就没了,解决了

p.s. 不知道有没有好心人可以把自己机器上安装的core中的包列表贴一个上来啊
我怀疑其他有些问题(比如hibernate之后恢复会黑屏)或许也是类似的原因导致的

离线

#7 2017-11-26 21:29:28

zsrkmyn
lazy...
注册时间: 2013-05-05
帖子: 240

Re: 升级wpa_supplicant之后,wifi-menu无法使用

netctl 1.9 是 2014 年 8 月发布的了啊 _(:з」∠)_

https://wiki.archlinux.org/index.php/Pa … l_database

离线

#8 2017-11-27 17:31:05

jiewuza
会员
注册时间: 2017-11-25
帖子: 5

Re: 升级wpa_supplicant之后,wifi-menu无法使用

是的,所以你知道我忍受了多久  哭笑

谢谢,我之前应该做过基本恢复,再走一遍

离线

页脚